ranges::actions::take_fn Struct Reference

## Synopsis of methods

constexpr take_fn | take {}

## Public Member Functions

template<typename Int >
constexpr auto | operator() (Int n) const requires detail
template<typename Rng >
auto | operator() (Rng &&rng, range_difference_t< Rng > n) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >>

## Methods

## take

constexpr take_fn take {}

related